Skip to main content
GET
/
api-commerceIdentity
/
auth
/
token
/
{token}
Verify reset token
curl --request GET \
  --url https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/token/{token} \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/token/{token}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/auth/token/{token}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "tokenValid": true,
  "userId": "6169b2d892a5f30009d76480"
}
{
  "error": "TOKEN_HAS_EXPIRED",
  "code": "400",
  "message": "This reset token is no longer valid"
}
{
  "error": "TOKEN_NOT_FOUND",
  "code": "404",
  "message": "Token not found"
}

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Path Parameters

token
string
required

Password reset token

Response

OK

tokenValid
boolean
required

true: Token is valid
false: Token is not valid

Example:

true

userId
string
required

User ID

Example:

"6169b2d892a5f30009d76480"